<div class="float-left pl-5 xl:pl-28 pt-8">
  <app-button
    (buttonClick)="goToProducts()"
    icon="dashboard"
    class="float-left"
    value="Products"
    styleType="secondary"/>
</div>
<div class="min-h-screen h-fit bg-gray-100 pt-36 max-w-8/12 mx-auto">
  <div class="justify-center px-6 md:flex md:space-x-6 xl:px-28">
    <div *ngFor="let product of products | keyvalue" class="rounded-lg md:w-2/3">
      <div class="justify-between mb-6 rounded-lg bg-white p-6 shadow-md sm:flex sm:justify-start">
        <app-image [src]="product.key.featuredAsset.source" class="object-cover w-full lg:h-full"></app-image>
        <div class="sm:ml-4 sm:flex sm:w-full sm:justify-between">
          <div class="mt-5 sm:mt-0">
            <h2 class="text-lg font-bold text-gray-900">{{ product.key.name }}</h2>
            <p class="text-gray-900 pb-4">{{ product.key.description }}</p>
            <div *ngFor="let variant of product.value | keyvalue">
              {{ variant.key.name }} x {{variant.value}} = {{Number(variant.key.price) * variant.value}}
              ({{Number(variant.key.priceWithTax) * variant.value}})
            </div>
          </div>
        </div>
      </div>
    </div>
    <div *ngIf="products.size > 0"
         class="mt-6 h-36 md:h-full rounded-lg border bg-white p-6 shadow-md md:mt-0 md:w-1/3">
      <div class="flex justify-between">
        <p class="text-lg font-bold">Total</p>
        <div class="">
          <p class="mb-1 text-lg font-bold" [innerText]="calculateOrderTotal(false)"></p>
          <p class="mb-1 text-lg font-bold" [innerText]="calculateOrderTotal(true)"></p>
        </div>
      </div>
      <app-button
        (buttonClick)="checkOut()"
        icon="card_giftcard"
        class="float-right"
        value="Check out"
        styleType="secondary"/>
    </div>
  </div>
</div>
